Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Picture

    java.lang.Object
      SimplePicture
          Picture

All Implemented Interfaces:
  DigitalPicture

    public class Picture

extends SimplePicture

A class that represents a picture. This class inherits from SimplePicture and allows the student to add functionality to the Picture class. Copyright Georgia Institute of Technology 2004-2005

Author:
  Barbara Ericson ericson@cc.gatech.edu

Constructor Summary
`Picture()` Constructor that takes no arguments
`Picture(BufferedImage image)` Constructor that takes a buffered image
`Picture(int width, int height)` Constructor that takes the width and height
`Picture(Picture copyPicture)` Constructor that takes a picture and creates a copy of that picture
`Picture(String fileName)` Constructor that takes a file name and creates the picture

Method Summary
`static void` | `main(String[] args)`
`String` | `toString()` Method to return a string with information about this picture.

Methods inherited from class SimplePicture
`addMessage, copyPicture, createGraphics, drawString, explore, getBasicPixel, getBufferedImage, getExtension, getFileName, getGraphics, getHeight, getImage, getMediaPath, getPictureFrame, getPictureWithHeight, getPictureWithWidth, getPixel, getPixels, getTitle, getTransformEnclosingRect, getTranslationEnclosingRect, getWidth, hide, load, load, loadImage, loadOrFail, loadPictureAndShowIt, repaint, scale, setAllPixelsToAColor, setBasicPixel, setFileName, setMediaPath, setPictureFrame, setTitle, setVisible, show, write, writeOrFail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Picture

    public Picture()

  Constructor that takes no arguments

### Picture

    public Picture(String fileName)

  Constructor that takes a file name and creates the picture

  Parameters:
    `fileName` - the name of the file to create the picture from

### Picture

    public Picture(int width,
                   int height)

  Constructor that takes the width and height

  Parameters:
    `width` - the width of the desired picture
    `height` - the height of the desired picture

### Picture

    public Picture(Picture copyPicture)

  Constructor that takes a picture and creates a copy of that picture

### Picture

    public Picture(BufferedImage image)

  Constructor that takes a buffered image

  Parameters:
    `image` - the buffered image to use

Method Detail

### toString

    public String toString()

  Method to return a string with information about this picture.

  Overrides:
    `toString` in class `SimplePicture`
  Returns:
    a string with information about the picture such as fileName, height and width.

### main

    public static void main(String[] args)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD